{% trans_default_domain 'FOSUserBundle' %}
{% block javascripts %}
    <script type="text/javascript">
        var placeSearch, autocomplete;
        var componentForm = {
            //street_number: 'short_name',
            route: 'long_name',
            locality: 'long_name',
            administrative_area_level_1: 'short_name',
            country: 'long_name',
            postal_code: 'short_name'
        };
        var componentFormRef = {
            //street_number: '',
            route: '{{ form.address.children.street.vars.id }}',
            locality: '{{ form.address.children.city.vars.id }}',
            administrative_area_level_1: '{{ form.address.children.state.vars.id }}',
            country: '{{ form.address.children.country.vars.id }}',
            postal_code: '{{ form.address.children.zipCode.vars.id }}',
        };

        function initAutocomplete() {
            // Create the autocomplete object, restricting the search to geographical
            // location types.
            autocomplete = new google.maps.places.Autocomplete(
                /** @type {!HTMLInputElement} */
                (document.getElementById('{{ form.address.vars.id }}')),
                {types: ['geocode'], componentRestrictions: {country: "tn"}});

            autocomplete.addListener('place_changed', fillInAddress);

            /** Clear values when typing */
            $('#{{ form.address.vars.id }}').on('keydown', function (event) {
                if (event.which == 13) {
                    event.preventDefault();
                } else {
                    for (var component in componentForm) {
                        document.getElementById(componentFormRef[component]).value = '';
                    }
                }
            });
        }

        // [START region_fillform]
        function fillInAddress() {
            // Get the place details from the autocomplete object.
            var place = autocomplete.getPlace();
            document.getElementById('{{ form.address.children.latitude.vars.id }}').value = place.geometry.location.lat();
            document.getElementById('{{ form.address.children.longitude.vars.id }}').value = place.geometry.location.lng();
            console.log(place.geometry.location.lat() + "" + place.geometry.location.lng());
            for (var component in componentForm) {
                document.getElementById(componentFormRef[component]).value = '';
                document.getElementById(componentFormRef[component]).disabled = false;
            }
            ;
            // Get each component of the address from the place details
            // and fill the corresponding field on the form.
            for (var i = 0; i < place.address_components.length; i++) {
                var addressType = place.address_components[i].types[0];
                if (componentForm[addressType]) {
                    var val = place.address_components[i][componentForm[addressType]];
                    document.getElementById(componentFormRef[addressType]).value = val;
                }
            }
        }

        function geolocate() {
            if (navigator.geolocation) {
                navigator.geolocation.getCurrentPosition(function (position) {
                    var geolocation = {
                        lat: position.coords.latitude,
                        lng: position.coords.longitude
                    };
                    var circle = new google.maps.Circle({
                        center: geolocation,
                        radius: position.coords.accuracy
                    });
                    autocomplete.setBounds(circle.getBounds());
                });
            }
        }

        initAutocomplete();
    </script>
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDFgZZ_gKcsRjWIqMW6qbx3YtXFhfUtbdg&signed_in=true&libraries=places&callback=initAutocomplete"
            async defer></script>
{% endblock %}

<div class="welcome-msg">
    <h3 class="page-sub-header2 clearfix no-padding">Salut {{ user.firstname }} {{ user.lastname }}</h3>
    <span class="page-sub-header-sub small">Dernière Session {{ user.lastLogin|date('Y-m-d H:i') }}</span>
</div>
{#{% for label, messages in app.flashes %}#}

    {#{% for message in messages %}#}
        {#<div class="alert alert-{{ label }}" role="{{ label }}">#}
            {#{{ message }}#}
        {#</div>#}
    {#{% endfor %}#}
{#{% endfor %}#}
                    {% if form.current_password.vars.errors | length %}
                        <div class="alert alert-danger" role="alert">
                            {{ form_errors(form.current_password) }}
                        </div>
                    {% endif %}
<div id="accordion" class="panel-group">
    <div class="panel panel-default">
        <div class="panel-heading">
            <h4 class="panel-title"><a href="#collapseB1" data-toggle="collapse">Détails </a></h4>
        </div>
        <div class="panel-collapse collapse in" id="collapseB1">
            <div class="panel-body">
                <form action="{{ path('fos_user_profile_show') }}" class="form-horizontal" method="post"
                      enctype="multipart/form-data" novalidate="novalidate">
                    <div class="form-group">
                        <label class="col-sm-3 control-label">Pseudo</label>
                        <div class="col-sm-9">
                            {{ form_widget(form.username, { 'attr': {'class': 'form-control' }}) }}
                        </div>
                    </div>

                    {% if form.username.vars.errors | length %}
                        <div class="alert alert-danger" role="alert">
                            {{ form_errors(form.username) }}
                        </div>
                    {% endif %}
                    <div class="form-group">
                        <label class="col-sm-3 control-label">E-mail</label>
                        <div class="col-sm-9">
                            {{ form_widget(form.email, { 'attr': {'class': 'form-control' }}) }}
                        </div>
                    </div>

                    {% if form.email.vars.errors | length %}
                        <div class="alert alert-danger" role="alert">
                            {{ form_errors(form.email) }}
                        </div>
                    {% endif %}
                    <div class="form-group">
                        <label class="col-sm-3 control-label">Nom</label>
                        <div class="col-sm-9">
                            {{ form_widget(form.lastname, { 'attr': {'class': 'form-control' }}) }}
                        </div>
                    </div>

                    {% if form.lastname.vars.errors | length %}
                        <div class="alert alert-danger" role="alert">
                            {{ form_errors(form.lastname) }}
                        </div>
                    {% endif %}
                    <div class="form-group">
                        <label class="col-sm-3 control-label">Prénom</label>
                        <div class="col-sm-9">
                            {{ form_widget(form.firstname, { 'attr': {'class': 'form-control' }}) }}
                        </div>
                    </div>
                    {% if form.firstname.vars.errors | length %}
                        <div class="alert alert-danger" role="alert">
                            {{ form_errors(form.firstname) }}
                        </div>
                    {% endif %}
                    <div class="form-group required">
                        <label class="col-md-3 control-label">Adresse</label>
                        <div class="col-sm-9">
                            <input id="{{ form.address.vars.id }}" class="autocomplete form-control" type="text"
                                   onFocus="geolocate()"
                                   value="{% spaceless %}
                           {{ form.address.children.city.vars.value ~' '~ form.address.children.country.vars.value ~ ' ' ~ form.address.children.zipCode.vars.value ~ ' ' ~ form.address.children.street.vars.value ~ ' ' ~ form.address.children.state.vars.value }}
                             {% endspaceless %}"/>
                            {% for field in form.address %}
                                {{ form_widget(field) }}
                            {% endfor %}
                        </div>
                    </div>
                    {% for error in form.vars.errors %}
                        <div class="alert alert-danger fade in margin-bottom-40">
                            {{ error.message|trans }}
                        </div>
                    {% endfor %}

                    <div class="form-group">
                        <label for="Phone" class="col-sm-3 control-label">Tél</label>
                        <div class="col-sm-9">
                            {{ form_widget(form.phone, { 'attr': {'id':'phone', 'name': 'phone','patern': '[0-9]{8}','maxlength':"8",'class': 'form-control' }}) }}

                        </div>
                        {% if form.phone.vars.errors | length %}
                            <div class="alert alert-danger" role="alert">
                                {{ form_errors(form.phone) }}
                            </div>
                        {% endif %}
                    </div>
                    {% if form.phone.vars.errors | length %}
                        <div class="alert alert-danger" role="alert">
                            {{ form_errors(form.phone) }}
                        </div>
                    {% endif %}
                    <div class="form-group">
                        <label class="col-sm-3 control-label">&nbsp;</label>
                        <div class="col-sm-9">
                            {% if  user.visiblePhone %}
                                <input type="checkbox" name="numvisible" checked>
                            {% else %}
                                <input type="checkbox" name="numvisible">
                            {% endif %}
                            <small>Publier mon numéro</small>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="imageuser" class="col-sm-3 control-label">Photo</label>
                        <div class="col-sm-9">
                            {{ form_widget(form.photo.path, { 'attr': {'class': 'form-control', 'required':'false' }}) }}
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="currentpass" class="col-sm-3 control-label">Mot de passe courant</label>
                        <div class="col-sm-9">
                            {{ form_widget(form.current_password, { 'attr': {'class': 'form-control' }}) }}
                        </div>
                    </div>

                    {% if form.plainPassword.first.vars.errors | length %}

                    {% endif %}
                    <div class="form-group">
                        <div class="col-sm-offset-3 col-sm-9">
                            <button type="submit" class="btn btn-primary" style="background-color: #0a3d91">Mise à
                                jour
                            </button>
                        </div>
                    </div>
                </form>

            </div>
        </div>
    </div>
    <div class="panel panel-default">
        <div class="panel-heading">
            <h4 class="panel-title"><a href="{{ path('fos_user_change_password') }}">Changer Mot de passe </a></h4>
        </div>
    </div>
</div>
